UI for Simple Query
Closed, ResolvedPublic

Description

Special:SimpleQuery should offer JavaScript UI for inserting search values. The entity selector for choosing an entity and the jQuery.valueview for entering the value.
Could also use jQuery.wikibase.snakview for both combined if the snak type selector gets hidden in addition.


Version: unspecified
Severity: major
Whiteboard: u=dev c=frontend p=20 s=2014-06-03

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz55593.
Danwe created this task.Via LegacyOct 10 2013, 9:15 PM
gerritbot added a comment.Via ConduitOct 15 2013, 3:27 PM

Change 89117 had a related patch set (by Daniel Werner) published:
(bug 55593) use jQuery.wikibase.snakview on Special:SimpleQuery

https://gerrit.wikimedia.org/r/89117

Tobi_WMDE_SW added a comment.Via ConduitJan 22 2014, 11:02 AM

This needs a rebase on top of the fetchedEntityStore refactoring in https://gerrit.wikimedia.org/r/#/c/107554/

daniel added a comment.Via ConduitMar 4 2014, 11:26 AM

As far as I know, JS widgets still need quite a bit of refactoring before they can be used outside an EntityView page.

To avoid blocking on that refactoring, I suggest to just provide a plain text input field, and use server side value parsers to parse the strings into data values.

We would still want/need an EntitySelector widget for picking the property, but that should work fine without the EntityView infrastructure already.

gerritbot added a comment.Via ConduitMar 25 2014, 1:15 PM

Change 89117 abandoned by Thiemo Mättig (WMDE):
(bug 55593) use jQuery.wikibase.snakview on Special:SimpleQuery

https://gerrit.wikimedia.org/r/89117

bzimport added a comment.Via ConduitApr 11 2014, 10:06 AM

wikidata-services wrote:

Commit pushed to snakview at https://github.com/wmde/WikibaseQuery

https://github.com/wmde/WikibaseQuery/commit/4f2840d981296734940b3a7b8fbbb970b1d9c773
Use Wikibase's snakview for the SimpleQuery special page

Fixes bug 55593.

bzimport added a comment.Via ConduitApr 14 2014, 9:05 AM

wikidata-services wrote:

Commit pushed to snakview at https://github.com/wmde/WikibaseQuery

https://github.com/wmde/WikibaseQuery/commit/ba0ad842af4b6d0caf6634108cbde1bcf54e49bc
Use Wikibase's snakview for the SimpleQuery special page

Fixes bug 55593.

bzimport added a comment.Via ConduitApr 14 2014, 11:00 AM

wikidata-services wrote:

Commit pushed to snakview at https://github.com/wmde/WikibaseQuery

https://github.com/wmde/WikibaseQuery/commit/04467f0190ebf02a970243d4ab6e90c3da11aed3
Use Wikibase's snakview for the SimpleQuery special page

Fixes bug 55593.

bzimport added a comment.Via ConduitJun 6 2014, 12:50 AM

wikidata-services wrote:

Commit pushed to snakview at https://github.com/wmde/WikibaseQuery

https://github.com/wmde/WikibaseQuery/commit/4ff7dbbff1e11562d442674c18375f89581f4b74
Use Wikibase's snakview for the SimpleQuery special page

Fixes bug 55593.

Add Comment